function HUDTemp:carry_weight_string( carry_id )

	if carry_id == "coke_light" then
		return "Very Light"
	elseif carry_id == "light" then
		return "Light"
	elseif carry_id == "medium" or carry_id == "being" or carry_id == "explosives" then
		return "Medium"
	elseif carry_id == "heavy" or carry_id == "slightly_very_heavy" then
		return "Heavy"
	elseif carry_id == "very_heavy" then
		return "Heavier"
	elseif carry_id == "mega_heavy" then
		return "Heaviest"
	else
		return "???"
	end

end

Hooks:PostHook( HUDTemp , "show_carry_bag" , "CompactHUDPostShowCarryBag" , function( self , carry_id , value )

	if not CompactHUD.options.detailed_carry then
		return
	end
	
	local bag_panel = self._temp_panel:child("bag_panel")
	
	local carry_data = tweak_data.carry[carry_id]
	local carry_type = self:carry_weight_string(carry_data.type)
	
	local monetary_value = managers.experience:cash_string(managers.money:get_secured_bonus_bag_value(carry_id, tweak_data:get_value("money_manager", "bag_value_multiplier", managers.job:has_active_job() and managers.job:current_job_and_difficulty_stars() or 1)))
	
	local type_text = carry_data.name_id and managers.localization:text(carry_data.name_id)
	local carrying_text = managers.localization:text("hud_carrying")
	
	self._bg_box:child("bag_text"):set_text(utf8.to_upper(type_text .. "\n(" .. carry_type .. " | " .. monetary_value .. ")"))

end )